#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long a,b,l;
    cin>>a>>b>>l;
    bool stavali[l+1];
    for(long long i=1; i<=l; i++)
    {
        stavali[i]=true;
    }
    for(long long x=1; x<=l; x++)
    {
        for(long long y=1; x*a+y*b<=l; y++)
        {
            stavali[x*a+y*b]=false;
        }
    }
    long long ans=0;
    for(long long i=1; i<=l; i++)
    {
        if(stavali[i])
        {
            ans++;
        }
    }
    cout<<ans;
    return 0;
}
